Bug 1951572 - registry.svc.ci.openshift.org is no longer valid
Summary: registry.svc.ci.openshift.org is no longer valid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6.z
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: 4.6.z
Assignee: Russell Teague
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On: 1951571
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-20 13:43 UTC by Mark Hamzy
Modified: 2021-07-28 05:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-28 05:51:20 UTC
Target Upstream Version: 4.6.z


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4862 0 None open Bug 1951572: registry.svc.ci.openshift.org is no longer valid 2021-04-26 19:57:21 UTC
Red Hat Product Errata RHBA-2021:2767 0 None None None 2021-07-28 05:51:35 UTC

Description Mark Hamzy 2021-04-20 13:43:04 UTC
registry.svc.ci.openshift.org has been moved to registry.ci.openshift.org. The old
one was on a 3.x cluster and the new one is on a 4.x cluser.  This BZ is for the 4.6 release which is still being tested by the CI.

Comment 2 Mark Hamzy 2021-04-28 18:10:48 UTC
@eparis@redhat.com Why did you remove the target release?  This fix has been approved for the 4.6 branch.

Comment 3 Matthew Staebler 2021-04-28 18:37:13 UTC
(In reply to Mark Hamzy from comment #2)
> @eparis@redhat.com Why did you remove the target release?  This fix has been
> approved for the 4.6 branch.

This is done automatically when the BZ does not have a valid `Depends On`.

Comment 5 Gaoyun Pei 2021-07-16 02:07:24 UTC
Proposed PR was merged, "registry.svc.ci.openshift.org" only could be seen in some troubleshooting example doc, not referred in any Dockerfiles.


# git checkout release-4.6
Switched to branch 'release-4.6'

# grep -r "registry.svc.ci.openshift.org" *
docs/user/troubleshootingbootstrap.md:Apr 24 17:08:46 ci-op-2cbvx-bootstrap.c.openshift-gce-devel-ci.internal release-image-download.sh[1688]: Pulling registry.svc.ci.openshift.org/ci-op-8dv01g3m/release@sha256:50b07a8b4529d8fd2ac6c23ecc311034a3b86cada41c948baaced8c6a46077bc...
docs/user/troubleshootingbootstrap.md:Apr 24 17:08:49 ci-op-2cbvx-bootstrap.c.openshift-gce-devel-ci.internal release-image-download.sh[1688]: Error: error pulling image "registry.svc.ci.openshift.org/ci-op-8dv01g3m/release@sha256:50b07a8b4529d8fd2ac6c23ecc311034a3b86cada41c948baaced8c6a46077bc": unable to pull registry.svc.ci.openshift.org/ci-op-8dv01g3m/release@sha256:50b07a8b4529d8fd2ac6c23ecc311034a3b86cada41c948baaced8c6a46077bc: unable to pull image: Error initializing source docker://registry.svc.ci.openshift.org/ci-op-8dv01g3m/release@sha256:50b07a8b4529d8fd2ac6c23ecc311034a3b86cada41c948baaced8c6a46077bc: Error reading manifest sha256:50b07a8b4529d8fd2ac6c23ecc311034a3b86cada41c948baaced8c6a46077bc in registry.svc.ci.openshift.org/ci-op-8dv01g3m/release: unauthorized: authentication required
docs/user/troubleshooting.md:        image: registry.svc.ci.openshift.org/openshift/origin-release@sha256:91e6f754975963e7db1a9958075eb609ad226968623939d262d1cf45e9dbc39a
docs/user/troubleshooting.md:        image: registry.svc.ci.openshift.org/openshift/origin-release@sha256:91e6f754975963e7db1a9958075eb609ad226968623939d262d1cf45e9dbc39a
docs/user/troubleshooting.md:machine-api-operator	map[running:map[startedAt:2018-11-13T19:04:50Z]]	registry.svc.ci.openshift.org/openshift/origin-v4.0-20181113175638@sha256:c97d0b53b98d07053090f3c9563cfd8277587ce94f8c2400b33e246aa08332c7
docs/user/troubleshooting.md:$ oc adm release info registry.svc.ci.openshift.org/openshift/origin-release:v4.0-20181113175638 --commits

# git describe
unreleased-master-3820-gd159626

Comment 8 errata-xmlrpc 2021-07-28 05:51:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.40 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2767


Note You need to log in before you can comment on or make changes to this bug.